Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class AntPathRequestMatcher

    java.lang.Object
      org.springframework.flex.security3.AntPathRequestMatcher

All Implemented Interfaces:
  RequestMatcher

    public final class AntPathRequestMatcher

extends Object
implements RequestMatcher

Matcher which compares a pre-defined ant-style pattern against the URL (`servletPath + pathInfo`) of an `HttpServletRequest`. The query string of the URL is ignored and matching is case-insensitive.

Using a pattern value of `/**` or `**` is treated as a universal match, which will match any request. Patterns which end with `/**` (and have no other wildcards) are optimized by using a substring match — a pattern of `/aaa/**` will match `/aaa`, `/aaa/` and any sub-directories, such as `/aaa/bbb/ccc`.

For all other cases, Spring's `AntPathMatcher` is used to perform the match. See the Spring documentation for this class for comprehensive information on the syntax used.

This is essentially a direct copy of the `org.springframework.security.web.util.AntPathRequestMatcher` implementation in Spring Security 3.1, backported here for matching against BlazeDS Endpoint URL patterns so as to retain compatibility with Spring Security 3.0, and with the matching against HTTP method removed since that is unnecessary with Flex requests.

Since:
  1.5
Author:
  Luke Taylor, Jeremy Grelle
See Also:
  `AntPathMatcher`

Constructor Summary
`AntPathRequestMatcher(String pattern)` Creates a matcher with the specific pattern which will match all HTTP methods.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getPattern()`
`boolean` | `matches(javax.servlet.http.HttpServletRequest request)` Returns true if the configured pattern (and HTTP-Method) match those of the supplied request.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntPathRequestMatcher

    public AntPathRequestMatcher(String pattern)

  Creates a matcher with the specific pattern which will match all HTTP methods.

  Parameters:
    `pattern` - the ant pattern to use for matching

Method Detail

### matches

    public boolean matches(javax.servlet.http.HttpServletRequest request)

  Returns true if the configured pattern (and HTTP-Method) match those of the supplied request.

  Specified by:
    `matches` in interface `RequestMatcher`
  Parameters:
    `request` - the request to match against. The ant pattern will be matched against the `servletPath` + `pathInfo` of the request.

### getPattern

    public String getPattern()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.